from distutils.core import setup

setup(name = 'autospec',
      version = '0.8',
      description = 'Automatically generate RPM spec files',
      long_description = '''\
autospec creates spec files used by the Red Hat Package Manager rpm
in building RPM packages.  It uses the information it can determine
(from a list of files or an install script) to fill in the proper spec
file fields and inserts several more commented-out fields that it cannot
fill in. This allows a human packager to use the generated spec file as
an almost complete template to quickly create an RPM package from a
typical source or binary archive.''',
      keywords = 'RPM, archive, spec file, package, packaging, '
                 'automated build, development, utility, LSM, Python',
      author = 'Dan Fandrich',
      author_email = 'dan@coneharvesters.com',
      url = 'http://www.npsnet.com/danf/software/',
      licence = 'GPL',
      py_modules = ['autospec','classifyfile','danutil','fileanalyze','lsm',
      				'parsecommands'],
      scripts = ['autospec']
      )
